Skip to main content
POST
/
deepSearch
/
{id}
/
cancel
Cancel a deep search
curl --request POST \
  --url https://api.cloudglue.dev/v1/deepSearch/{id}/cancel \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "object": "deep_search",
  "status": "in_progress",
  "created_at": 123,
  "query": "<string>",
  "scope": "segment",
  "text": "<string>",
  "results": [
    {
      "type": "segment",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "score": 123,
      "context": "<string>",
      "segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "start_time": 123,
      "end_time": 123,
      "title": "<string>",
      "filename": "<string>",
      "thumbnail_url": "<string>",
      "metadata": {},
      "summary": "<string>",
      "generated_title": "<string>"
    }
  ],
  "total": 123,
  "limit": 123,
  "search_queries": [
    {
      "query": "<string>",
      "search_modalities": [
        "<string>"
      ],
      "scope": "<string>",
      "filter": {},
      "result_count": 123
    }
  ],
  "usage": {
    "input_tokens": 123,
    "output_tokens": 123,
    "total_tokens": 123,
    "search_calls": 123
  },
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the deep search to cancel

Response

Deep search cancelled or current status returned

id
string<uuid>

Deep search ID

object
enum<string>

Object type identifier

Available options:
deep_search
status
enum<string>

Current status of the deep search

Available options:
in_progress,
completed,
failed,
cancelled
created_at
number

Unix timestamp of when the deep search was created

query
string

The original search query

scope
enum<string>

The scope of the search results

Available options:
segment,
file
text
string | null

LLM-generated synthesis text summarizing the results

results
object[] | null

Array of search results

total
integer

Total number of results

limit
integer

Maximum number of results requested

search_queries
object[] | null

Intermediate search query plans (included when requested via include=['search_queries'])

usage
object

Token and search call usage

error
object

Error details if the deep search failed